<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->

<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="shared-styles.html">
<link rel="import" href="../bower_components/paper-input/paper-input.html">
<link rel="import" href="../bower_components/paper-money-input-ench/paper-money-input-ench.html">
<link rel="import" href="../bower_components/paper-dropdown-menu/paper-dropdown-menu.html">
<link rel="import" href="../bower_components/paper-item/paper-item.html">
<link rel="import" href="../bower_components/paper-listbox/paper-listbox.html">
<link rel="import" href="../bower_components/iron-demo-helpers/demo-pages-shared-styles.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/paper-styles/color.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">



<dom-module id="my-view2">
  <template>
    <style include="shared-styles">
      :host {
        display: block;
        padding: 10px;
      }
      .submitBtn{
        background: green;
        color: #fff;
      }
    </style>

    <div class="card">      
      <paper-money-input-ench label="Amount"  value="{{submitObj.amount}}"></paper-money-input-ench>
      <paper-input label="Borrower Details" value="{{submitObj.details}}"></paper-input>
      <paper-dropdown-menu label="Loan Type" value="{{submitObj.loanType}}">
        <paper-listbox slot="dropdown-content" class="dropdown-content">
          <paper-item>Fixed rate</paper-item>
          <paper-item>variable rate</paper-item>    
        </paper-listbox>
      </paper-dropdown-menu>
      <paper-input label="Securiy Details" value={{submitObj.purchaseAddress}}></paper-input>
      <paper-money-input-ench label="Borrower's Monthly Expenses"  value="{{submitObj.monthlyExpense}}"></paper-money-input-ench>
      <paper-money-input-ench label="Borrower's Monthly Income"  value="{{submitObj.monthlyIncome}}"></paper-money-input-ench>
      <paper-input label="Loan Term" value="{{submitObj.loanTerm}}"></paper-input>
      <paper-dropdown-menu label="Repayment frequency" value="{{submitObj.frequency}}">
        <paper-listbox slot="dropdown-content" class="dropdown-content">
          <paper-item>Fortnightly</paper-item>
          <paper-item>Monthly</paper-item>    
        </paper-listbox>
      </paper-dropdown-menu>
      <br>
      <paper-button raised class="indigo submitBtn" on-tap="submitMe">Submit</paper-button>
    </div>
     <iron-ajax id="submitme"
          url="http://10.117.189.198:8080/loans"
          params="this.submitObj"
          handle-as="json"
          on-response="handleResponse"
          debounce-duration="300">
      </iron-ajax>
  </template>

  <script>
    class MyView2 extends Polymer.Element {
      static get is() { return 'my-view2'; }
      static get properties(){
        return{
          submitObj:{
            type:Object,
            value:{}
          }
        }
      }
      submitMe(){
          //console.log(this.submitObj);
          var ajax = this.$.submitme;
          ajax.params = this.submitObj;
          ajax.url = "http://10.117.189.198:8080/loans";
          ajax.generateRequest();
        };
        handleResponse(event, req){
          console.log(req.response);
          // if (response.detail.response.data.amount != null) {
          //           this._computeCurrencyPrice(response.detail);
          //       } else {
          //           this._computeGraph(response.detail);
          //       }
        }
    }
    
    window.customElements.define(MyView2.is, MyView2);
  </script>
</dom-module>
